hpp-core: hpp::core::PathProjector Class Reference

hpp-core 9.0.2 Implement basic classes for canonical path planning for kinematic chains.

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
hpp::core::PathProjector Class Referenceabstract

This class projects a path using constraints. More...

`#include <hpp/core/path-projector.hh>`

Inheritance diagram for hpp::core::PathProjector:
[legend]

## Public Types
typedef hpp::core::Path | Path
typedef hpp::core::PathPtr_t | PathPtr_t
typedef hpp::core::PathVector | PathVector
typedef hpp::core::PathVectorPtr_t | PathVectorPtr_t

## Public Member Functions
virtual | ~PathProjector ()
| Destructor.
bool | apply (const PathPtr_t &path, PathPtr_t &projection) const

## Protected Member Functions
| PathProjector (const DistancePtr_t &distance, const SteeringMethodPtr_t &steeringMethod, bool keepSteeringMethodConstraints=false)
virtual bool | impl_apply (const PathPtr_t &path, PathPtr_t &projection) const =0
| Method to be reimplemented by inherited class.
value_type | d (ConfigurationIn_t q1, ConfigurationIn_t q2) const
PathPtr_t | steer (ConfigurationIn_t q1, ConfigurationIn_t q2) const

## Protected Attributes
SteeringMethodPtr_t | steeringMethod_

## Detailed Description

This class projects a path using constraints.

## Member Typedef Documentation

## ◆ Path

typedef hpp::core::Path hpp::core::PathProjector::Path

## ◆ PathPtr_t

typedef hpp::core::PathPtr_t hpp::core::PathProjector::PathPtr_t

## ◆ PathVector

typedef hpp::core::PathVector hpp::core::PathProjector::PathVector

## ◆ PathVectorPtr_t

typedef hpp::core::PathVectorPtr_t hpp::core::PathProjector::PathVectorPtr_t

## Constructor & Destructor Documentation

## ◆ ~PathProjector()

virtual hpp::core::PathProjector::~PathProjector | ( |  | ) |
| virtual

Destructor.

## ◆ PathProjector()

hpp::core::PathProjector::PathProjector | ( | const DistancePtr_t & | distance,
|  | const SteeringMethodPtr_t & | steeringMethod,
|  | bool | keepSteeringMethodConstraints = `false`
| ) |  |
| protected

Constructor

distance distance metric between configurations steeringMethod steering method used to build new paths. The instance is copied. copySteeringMethodConstraints whether to keep the constraints of the input steering method.

## Member Function Documentation

## ◆ apply()

bool hpp::core::PathProjector::apply | ( | const PathPtr_t & | path,
|  | PathPtr_t & | projection
| ) |  | const

Apply the constraints to the path.

Parameters

  [in] | the | input path,
  [out] | the | output path.

Returns
  True if projection succeded

## ◆ d()

value_type hpp::core::PathProjector::d | ( | ConfigurationIn_t | q1,
|  | ConfigurationIn_t | q2
| ) |  | const
| protected

## ◆ impl_apply()

virtual bool hpp::core::PathProjector::impl_apply | ( | const PathPtr_t & | path,
|  | PathPtr_t & | projection
| ) |  | const
| protectedpure virtual

Method to be reimplemented by inherited class.

Implemented in hpp::core::pathProjector::Dichotomy, hpp::core::pathProjector::Global, hpp::core::pathProjector::Progressive, and hpp::core::pathProjector::RecursiveHermite.

## ◆ steer()

PathPtr_t hpp::core::PathProjector::steer | ( | ConfigurationIn_t | q1,
|  | ConfigurationIn_t | q2
| ) |  | const
| protected

## Member Data Documentation

## ◆ steeringMethod_

SteeringMethodPtr_t hpp::core::PathProjector::steeringMethod_
| protected

The documentation for this class was generated from the following file:

- include/hpp/core/path-projector.hh